package com.zhyc.module.produce.bodyManage.service;

import java.util.List;
import com.zhyc.module.produce.bodyManage.domain.ScBreastRating;

/**
 * 乳房评分Service接口
 * 
 * @author ruoyi
 * @date 2025-07-27
 */
public interface IScBreastRatingService 
{
    /**
     * 查询乳房评分
     * 
     * @param id 乳房评分主键
     * @return 乳房评分
     */
    public ScBreastRating selectScBreastRatingById(Long id);

    /**
     * 查询乳房评分列表
     * 
     * @param scBreastRating 乳房评分
     * @return 乳房评分集合
     */
    public List<ScBreastRating> selectScBreastRatingList(ScBreastRating scBreastRating);

    /**
     * 新增乳房评分
     * 
     * @param scBreastRating 乳房评分
     * @return 结果
     */
    public int insertScBreastRating(ScBreastRating scBreastRating);

    /**
     * 修改乳房评分
     * 
     * @param scBreastRating 乳房评分
     * @return 结果
     */
    public int updateScBreastRating(ScBreastRating scBreastRating);

    /**
     * 批量删除乳房评分
     * 
     * @param ids 需要删除的乳房评分主键集合
     * @return 结果
     */
    public int deleteScBreastRatingByIds(Long[] ids);

    /**
     * 删除乳房评分信息
     * 
     * @param id 乳房评分主键
     * @return 结果
     */
    public int deleteScBreastRatingById(Long id);

    List<String> searchEarNumbers(String query);
}
